﻿// © 2008 Michele Leroux Bustamante. All rights reserved 
// Book: Learning WCF, O'Reilly
// Book Blog: www.thatindigogirl.com
// Michele's Blog: www.dasblonde.net
// IDesign: www.idesign.net
   
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.IdentityModel.Configuration;
using System.Security.Cryptography.X509Certificates;
using Microsoft.IdentityModel.SecurityTokenService;

namespace STS
{
    public class IdentitySTSConfiguration: SecurityTokenServiceConfiguration
    {

        public IdentitySTSConfiguration(): base("IPKey")
        {

            this.SigningCredentials = new X509SigningCredentials(CertificateUtil.GetCertificate(StoreName.My, StoreLocation.LocalMachine, "CN=IPKey"));
            this.SecurityTokenService = typeof( IdentitySTS);
            
        }

    }
}
