﻿// © 2008 Michele Leroux Bustamante. All rights reserved 
// Book: Learning WCF, O'Reilly
// Book Blog: www.thatindigogirl.com
// Michele's Blog: www.dasblonde.net
// IDesign: www.idesign.net
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.IdentityModel.Protocols.WSTrust;
using Microsoft.IdentityModel.Configuration;
using STS;
using System.ServiceModel;
using Microsoft.IdentityModel.Tokens;
using Services;

namespace Host
{
    class Program
    {
        static void Main(string[] args)
        {

            ServiceHost rpHost = new ServiceHost(typeof(Services.RelyingPartyService));

            try
            {
                FederatedServiceCredentials.ConfigureServiceHost(rpHost);
                rpHost.Open();
                Console.WriteLine("Host for RelyingPartyService is running...");
                Console.ReadLine();
            }
            finally
            {

                if (rpHost.State != CommunicationState.Faulted)
                    rpHost.Close();
                else
                    rpHost.Abort();

            }

        }
    }
}
