﻿// © 2008 Michele Leroux Bustamante. All rights reserved 
// Book: Learning WCF, O'Reilly
// Book Blog: www.thatindigogirl.com
// Michele's Blog: www.dasblonde.net
// IDesign: www.idesign.net
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IdentityModel.Tokens;
using Microsoft.IdentityModel.Claims;
using Microsoft.IdentityModel.Tokens;
using System.Security;

namespace STS
{
        public class CustomUserNameSecurityTokenHandler : UserNameSecurityTokenHandler
        {
            public override ClaimsIdentityCollection ValidateToken(SecurityToken token)
            {
                UserNameSecurityToken userNameToken = token as UserNameSecurityToken;

                // TODO: authenticate caller against data store
                if (!(userNameToken.UserName.Equals("TestUser") && userNameToken.Password.Equals("testuser")))
                    throw new SecurityException("The username or password is invalid.");

                return new ClaimsIdentityCollection(new IClaimsIdentity[] {
                new ClaimsIdentity(new Claim(System.IdentityModel.Claims.ClaimTypes.Name, userNameToken.UserName), "CustomuserNameSecurityTokenHandler")});


            }
            public override bool CanValidateToken
            {
                get
                {
                    return true;
                }
            }
        }
}
