﻿// © 2008 Michele Leroux Bustamante. All rights reserved 
// Book: Learning WCF, O'Reilly
// Book Blog: www.thatindigogirl.com
// Michele's Blog: www.dasblonde.net
// IDesign: www.idesign.net
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.IdentityModel.Policy;
using WCFClaims = System.IdentityModel.Claims;
using Microsoft.IdentityModel.Claims;
using System.Threading;
using System.Diagnostics;
using System.Security.Permissions;

namespace Services
{
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall, UseSynchronizationContext=false)]
    public class CrudService : ICrudService
    {
        #region ICrudService Members

        [PrincipalPermission(SecurityAction.Demand, Role = Constants.Permissions.Create)]
        public string CreateSomething()
        {
            return "CreateSomething() called";
        }

        [PrincipalPermission(SecurityAction.Demand, Role = Constants.Permissions.Read)]
        public string ReadSomething()
        {
            return "ReadSomething() called";
        }

        [PrincipalPermission(SecurityAction.Demand, Role = Constants.Permissions.Update)]
        public string UpdateSomething()
        {
            return "UpdateSomething() called";
        }

        [PrincipalPermission(SecurityAction.Demand, Role=Constants.Permissions.Delete)]
        public string DeleteSomething()
        {
            return "DeleteSomething() called";
        }

        #endregion
    }
}
