﻿// © 2008 Michele Leroux Bustamante. All rights reserved 
// Book: Learning WCF, O'Reilly
// Book Blog: www.thatindigogirl.com
// Michele's Blog: www.dasblonde.net
// IDesign: www.idesign.net
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using Microsoft.IdentityModel.Tokens;

namespace Services
{
    public class FederatedServiceHost: ServiceHost
    {

        public FederatedServiceHost(object singletonInstance, params Uri[] baseAddresses): base(singletonInstance, baseAddresses)
        {
        }

        public FederatedServiceHost(Type serviceType, params Uri[] baseAddresses)
            : base(serviceType, baseAddresses)
        {
        }

        protected override void OnOpening()
        {
            FederatedServiceCredentials.ConfigureServiceHost(this);
            base.OnOpening();
        }

    }
}
